Summary: Module logging slow requests for Apache
Name: mod_logslow
Version: 1.0.8
Release: 1%{?dist}
Group: System Environment/Daemons
License: ASL 2.0
URL:     http://modlogslow.googlecode.com/
Source0: http://modlogslow.googlecode.com/files/modlogslow-%{version}.tar.gz
Source1: logslow.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd
Requires: httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires: httpd-devel

%description
mod_log_slow is an apache module to provide measurements of the time period used for 
handling each request by the current process. Logging is done after processing 
a request if the request takes more than a defined period of time.

%prep
%setup -q -n modlogslow-%{version}


%build
%if 0%{?fedora} >= 18
    %{_bindir}/apxs -Wc,"%{optflags}" -c mod_log_slow.c
%else
    %{_sbindir}/apxs -Wc,"%{optflags}" -c mod_log_slow.c
%endif



%install
rm -rf %{buildroot}
install -D -p -m 0755 .libs/mod_log_slow.so \
    %{buildroot}%{_libdir}/httpd/modules/mod_log_slow.so
install -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/httpd/conf.d/logslow.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE Changelog
%config(noreplace) %{_sysconfdir}/httpd/conf.d/logslow.conf
%{_libdir}/httpd/modules/mod_log_slow.so


%changelog
* Sun Jul 07 2013 josef radinger <cheese@nosuchhost.net>
- 1.0.8-1
- bump version
- fix dates in spec-file
- fix version in specfile

* Mon Oct 15 2012 josef radinger <cheese@nosuchhost.net>
- 1.0.6-2
- change path for fc18
- NOT READY as httpd >=2.4 is incompatible

* Mon Oct 15 2012 josef radinger <cheese@nosuchhost.net>
- 1.0.6-1
- Initial RPM release.

